Skip to main content
GET
/
v1
/
admin
/
audit
/
verify
Verify audit trail range (admin)
curl --request GET \
  --url https://sisbajud.sandbox.lerian.net/v1/admin/audit/verify
import requests

url = "https://sisbajud.sandbox.lerian.net/v1/admin/audit/verify"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://sisbajud.sandbox.lerian.net/v1/admin/audit/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "firstMissingIndex": 123,
  "firstTamperedIndex": 123,
  "fromIndex": 123,
  "ok": true,
  "toIndex": 123,
  "verified": 123
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}

Query Parameters

fromIndex
integer
required

First leaf index (inclusive, >= 0)

toIndex
integer
required

Last leaf index (inclusive, >= fromIndex; window span <= the configured maximum, default 10000)

Response

OK

firstMissingIndex
integer
firstTamperedIndex
integer
fromIndex
integer
ok
boolean
toIndex
integer
verified
integer